{
  "name": "huviz",
  "version": "0.71.0",
  "license": "GPL-3.0-or-later",
  "repository": {
    "type": "git",
    "url": "http://github.com/smurp/huviz.git"
  },
  "engines": {
    "node": ">=14.15.0",
    "npm": ">=6.0.0"
  },
  "author": "Shawn Murphy <smurp@smurp.com> (http://smurp.com)",
  "contributors": [
    "Alliyya Mo",
    "Anna Costalonga <anna@heyclassic.com>",
    "Illia Dorosh",
    "John Simpson <john.simpson@ualberta.ca>",
    "Kim Martin",
    "Kathleen McCulloch-Cop",
    "Pieter Botha",
    "Rashmeet Kaur",
    "Samuel Aiudi-Murphy",
    "Susan Brown",
    "Wolf Maul"
  ],
  "type": "module",
  "main": "lib/huviz.dist.js",
  "dependencies": {
    "@fnando/sparkline": "^0.3.10",
    "@fortawesome/fontawesome-svg-core": "^1.2.36",
    "@fortawesome/free-brands-svg-icons": "^5.15.4",
    "@fortawesome/free-solid-svg-icons": "^5.15.4",
    "async": "~0.2.9",
    "d3": "~5.15.0",
    "dotenv": "^8.2.0",
    "ejs": "2.6.1",
    "express": "~4.17.1",
    "express-fileupload": "^1.2.1",
    "jquery": ">=3.4.0",
    "jquery-simulate-ext": "1.3.0",
    "ldf-client": "^2.0.5",
    "marked": "^0.6.2",
    "morgan": "^1.9.1",
    "node-fetch": "^2.6.1",
    "nopt": "~3.0.0",
    "npm-run-all": "^4.1.5",
    "quaff-lod": "^1.1.1",
    "rollup": "^2.33.3",
    "stitch": "~0.3.3"
  },
  "devDependencies": {
    "arkit": "^1.6.4",
    "browserify": "^16.2.3",
    "chai": "4.2.0",
    "chromedriver": "^99.0.0",
    "docco": "^0.8.0",
    "documentation": "^13.1.0",
    "eslint": "^5.16.0",
    "mocha": "8.2.1",
    "onchange": "^7.1.0",
    "selenium-side-runner": "^3.17.0",
    "selenium-webdriver": "^4.0.0-beta.4",
    "start-server-and-test": "^1.12.6"
  },
  "scripts": {
    "build": "npm-run-all --parallel build:*",
    "build:js": "rollup  -c # builds lib/huviz.dist.js",
    "doc:diag": "arkit -d src -o docs/huviz_system_diagram.svg > /dev/null",
    "watch": "npm-run-all --parallel watch:*",
    "watch:dev": "onchange -i -k server.js lib/huviz.dist.js package.json rollup.config.js -- npm run inspect",
    "watch:doc": "onchange -i --await-write-finish 2000 'wc/**/*' 'src/*.js' package.json -- npm run doc:diag",
    "watch:js": "onchange -i --await-write-finish 2000 'wc/**/*' 'src/*.js' package.json -- npm run build",
    "watch:unit": "onchange -i lib/huviz.dist.js test/* package.json -- npm run test:unit",
    "inspect": "node --inspect=9227 server.js",
    "release:patch": "npm version patch -m 'bump patch level to %s'",
    "release:minor": "npm version minor -m 'bump minor version to %s'",
    "preinstall": "echo preinstall",
    "postinstall": "npm run build",
    "prepare": "echo prepare",
    "prestart": "echo prestart",
    "postversion": "git push && git push --tags",
    "start": "node server.js --git_commit_hash `git log --format=\"%h\" -n 1` --git_branch_name `git rev-parse --abbrev-ref HEAD`",
    "start:test-server": "npm run start > /dev/null",
    "test": "start-server-and-test start:test-server :5000 test:all",
    "test:all": "npm-run-all --parallel test:unit test:user",
    "test:unit": "mocha --reporter spec",
    "test:user": "npx selenium-side-runner -c \"browserName=chrome goog:chromeOptions.args=[--headless,--nogpu]\" test/user_tests.side",
    "watchTest": "onchange -i -k server.js lib/huviz.dist.js package.json test/* -- npm run test:all",
    "watchTest:user": "onchange -i -k server.js lib/huviz.dist.js package.json test/* -- npm run test:user",
    "watchTest:unit": "onchange -i -k server.js lib/huviz.dist.js package.json test/* -- npm run test:unit",
    "watchTestFSM": "onchange -i -k server.js lib/huviz.dist.js package.json test/* -- npm run test:unit -- --grep FiniteState",
    "DEPRECATED:buildSrcDocs": "npx docco -o srcdocs  server.coffee src/*.coffee | node bin/make_srcdocs_index.js > srcdocs/index.md && npx marked srcdocs/index.md > srcdocs/index.html"
  }
}
